Uploaded image for project: 'Camunda Optimize'
  1. Camunda Optimize
  2. OPT-1788

Add `es.connection.nodes.tcpPort` to deprecated-config

    Details

    • Type: Task
    • Status: Done
    • Priority: L3 - Default
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.4.0, 2.4.0-alpha1
    • Component/s: backend
    • Labels:
      None

      Description

      Was missed in original task OPT-1779 and causes a jackson mapping error during upgrade:

      16:26:53.915 [main] ERROR o.c.o.u.main.impl.UpgradeFrom23To24 - Error while executing upgrade
      com.jayway.jsonpath.spi.mapper.MappingException: java.lang.IllegalArgumentException: Unrecognized field "tcpPort" (class org.camunda.optimize.service.util.configuration.ElasticsearchConnectionNodeConfiguration), not marked as ignorable (2 known properties: "host", "httpPort"])
       at [Source: UNKNOWN; line: -1, column: -1] (through reference chain: java.util.ArrayList[0]->org.camunda.optimize.service.util.configuration.ElasticsearchConnectionNodeConfiguration["tcpPort"])
      	at com.jayway.jsonpath.spi.mapper.JacksonMappingProvider.map(JacksonMappingProvider.java:58)
      	at com.jayway.jsonpath.internal.JsonContext.convert(JsonContext.java:134)
      	at com.jayway.jsonpath.internal.JsonContext.read(JsonContext.java:117)
      	at org.camunda.optimize.service.util.configuration.ConfigurationService.getElasticsearchConnectionNodes(ConfigurationService.java:323)
      	at org.camunda.optimize.upgrade.es.ElasticsearchHighLevelRestClientBuilder.buildElasticsearchConnectionNodes(ElasticsearchHighLevelRestClientBuilder.java:47)
      	at org.camunda.optimize.upgrade.es.ElasticsearchHighLevelRestClientBuilder.buildDefaultRestClient(ElasticsearchHighLevelRestClientBuilder.java:40)
      	at org.camunda.optimize.upgrade.es.ElasticsearchHighLevelRestClientBuilder.build(ElasticsearchHighLevelRestClientBuilder.java:35)
      	at org.camunda.optimize.upgrade.plan.UpgradeExecutionPlan.<init>(UpgradeExecutionPlan.java:49)
      	at org.camunda.optimize.upgrade.plan.UpgradePlanBuilder.createUpgradePlan(UpgradePlanBuilder.java:9)
      	at org.camunda.optimize.upgrade.main.impl.UpgradeFrom23To24.performUpgrade(UpgradeFrom23To24.java:44)
      	at org.camunda.optimize.upgrade.main.UpgradeMain.main(UpgradeMain.java:56)
      

        Issue Links

          Activity

          There are no comments yet on this issue.

            People

            • Assignee:
              Unassigned
              Reporter:
              sebastian.bathke Sebastian Bathke
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: